Skip to content
Newer
Older
100644 18 lines (12 sloc) 368 Bytes
1766b08 @kcbanner * Add .travis.yml. * Add npm test support.
authored
1 language: node_js
5c50571 @jdesboeufs Update Travis config
jdesboeufs authored
2
1766b08 @kcbanner * Add .travis.yml. * Add npm test support.
authored
3 node_js:
33362a9 @jdesboeufs Add Node 0.12.x
jdesboeufs authored
4 - 0.12
5c50571 @jdesboeufs Update Travis config
jdesboeufs authored
5 - 4
d09953c @jdesboeufs Deal with legacy Node versions
jdesboeufs authored
6 - 5
5c50571 @jdesboeufs Update Travis config
jdesboeufs authored
7
f9c0070 Add mongodb service to travis config
Avi Romanoff authored
8 services: mongodb
5c50571 @jdesboeufs Update Travis config
jdesboeufs authored
9
7c4cfe0 @jdesboeufs Migrate to new Travis CI infrastructure
jdesboeufs authored
10 sudo: false
5c50571 @jdesboeufs Update Travis config
jdesboeufs authored
11
d09953c @jdesboeufs Deal with legacy Node versions
jdesboeufs authored
12 script:
13 - if [[ $TRAVIS_NODE_VERSION == "0.12" ]]; then npm run test-es5; fi;
14 - if [[ $TRAVIS_NODE_VERSION != "0.12" ]]; then npm run test; fi;
15
16 after_script:
17 - if [[ $TRAVIS_NODE_VERSION != "0.12" ]]; then npm install coveralls && cat ./coverage/lcov.info | coveralls; fi;
Something went wrong with that request. Please try again.